Subject: Re: linux-next: manual merge of the block tree with Linus' tree

From: Jens Axboe <[email-masked]>
Date: Thu, 23 May 2024 07:04:44 -0600

On 5/22/24 5:50 PM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the block tree got a conflict in:
> 
>   block/blk-core.c
> 
> between commit:
> 
>   ac2b6f9dee8f ("bdev: move ->bd_has_subit_bio to ->__bd_flags")
> 
> from Linus' tree and commit:
> 
>   9a42891c35d5 ("block: fix lost bio for plug enabled bio based device")
> 
> from the block tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

Thanks Stephen, looks fine. I'll mention it when sending in the rest
for 6.10-rc1.

-- 
Jens Axboe